from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.xml.dom.events import XEvent

@runtime_checkable
class XFormsEvent(XEvent, Protocol):
    def initXFormsEvent(self, typeArg: str, canBubbleArg: bool, cancelableArg: bool) -> None: ...
